DMTextInternal::Footer Struct Reference

Internal: structure to store a footer data of a DMText. More...

## Public Member Functions

| Footer ()
| constructor More...
bool | empty () const
| returns true if the footer is empty More...

## Public Attributes

MWAWFont | m_font
| the font More...
bool | m_chapterResetPage
| true if a chapter reset page More...
int | m_items [6]
| the item values More...
std::string | m_userInfo
| the user information entry More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Footer const &f)
| operator<< More...

## Detailed Description

Internal: structure to store a footer data of a DMText.

## Constructor & Destructor Documentation

DMTextInternal::Footer::Footer | ( |  | ) |

inline

constructor

## Member Function Documentation

bool DMTextInternal::Footer::empty | ( |  | ) | const

inline

returns true if the footer is empty

Referenced by DMText::sendFooter().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Footer const & | f
| ) |  |

friend

operator<<

## Member Data Documentation

bool DMTextInternal::Footer::m_chapterResetPage

true if a chapter reset page

Referenced by DMText::readFooter().

std::string DMTextInternal::Footer::m_extra

extra data

Referenced by DMText::readFooter().

MWAWFont DMTextInternal::Footer::m_font

the font

Referenced by DMText::readFooter(), and DMText::sendFooter().

int DMTextInternal::Footer::m_items[6]

the item values

Referenced by empty(), Footer(), DMText::readFooter(), and DMText::sendFooter().

std::string DMTextInternal::Footer::m_userInfo

the user information entry

Referenced by DMText::sendFooter().

The documentation for this struct was generated from the following file:

- DMText.cxx